/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workeffectdetail.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workeffectdetail.entity.WorkEffectDetail;
import com.jeeplus.modules.workeffectdetail.dao.WorkEffectDetailDao;

/**
 * 绩效明细Service
 * @author ssrh
 * @version 2018-09-11
 */
@Service
@Transactional(readOnly = true)
public class WorkEffectDetailService extends CrudService<WorkEffectDetailDao, WorkEffectDetail> {

	public WorkEffectDetail get(String id) {
		return super.get(id);
	}
	
	public List<WorkEffectDetail> findList(WorkEffectDetail workEffectDetail) {
		return super.findList(workEffectDetail);
	}
	
	public Page<WorkEffectDetail> findPage(Page<WorkEffectDetail> page, WorkEffectDetail workEffectDetail) {
		return super.findPage(page, workEffectDetail);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkEffectDetail workEffectDetail) {
		super.save(workEffectDetail);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkEffectDetail workEffectDetail) {
		super.delete(workEffectDetail);
	}


	@Transactional(readOnly = false)
	public void deleteByEffectId(String effectId) {
		dao.deleteByEffectId(effectId);
	}

	public Integer effectCount(WorkEffectDetail workEffectDetail){
		return dao.effectCount(workEffectDetail);
	}
}